Index: functions.c
===================================================================
--- functions.c	(revision 49a8434e3707923940236017e5739cdc2c4d2b7a)
+++ functions.c	(revision b9cb41bbbda316fa057e4635ea6aa99478cd9ef6)
@@ -1642,7 +1642,7 @@
 	/* fix this */
 	sprintf(buff, "  Checkd Ath: %i\n", n->z_checked_auth);
-	sprintf(buff, "%s  Multi notc: %s\n", buff, n->z_multinotice);
-	sprintf(buff, "%s  Num other : %i\n", buff, n->z_num_other_fields);
-	sprintf(buff, "%s  Msg Len   : %i\n", buff, n->z_message_len);
+	sprintf(buff + strlen(buff), "  Multi notc: %s\n", n->z_multinotice);
+	sprintf(buff + strlen(buff), "  Num other : %i\n", n->z_num_other_fields);
+	sprintf(buff + strlen(buff), "  Msg Len   : %i\n", n->z_message_len);
 	owl_fmtext_append_normal(&fm, buff);
 	
@@ -2589,5 +2589,5 @@
   sprintf(argbuff, "class ^(un)*%s(\\.d)*$", tmpclass);
   if (tmpinstance) {
-    sprintf(argbuff, "%s and ( instance ^(un)*%s(\\.d)*$ )", argbuff, tmpinstance);
+    sprintf(argbuff + strlen(argbuff), " and ( instance ^(un)*%s(\\.d)*$ )", tmpinstance);
   }
   owl_free(tmpclass);
@@ -2999,5 +2999,5 @@
     owl_text_tr(quoted, '\'', '.');
     owl_text_tr(quoted, '"', '.');
-    sprintf(buff, "%s ^(un)*%s(\\.d)*$", buff, quoted);
+    sprintf(buff + strlen(buff), " ^(un)*%s(\\.d)*$", quoted);
     owl_free(quoted);
   }
@@ -3009,5 +3009,5 @@
     owl_text_tr(quoted, '\'', '.');
     owl_text_tr(quoted, '"', '.');
-    sprintf(buff, "%s and instance ^(un)*%s(\\.d)*$", buff, quoted);
+    sprintf(buff + strlen(buff), " and instance ^(un)*%s(\\.d)*$", quoted);
     owl_free(quoted);
   }
@@ -3017,5 +3017,5 @@
     owl_text_tr(quoted, '\'', '.');
     owl_text_tr(quoted, '"', '.');
-    sprintf(buff, "%s and recipient ^%s$", buff, quoted);
+    sprintf(buff + strlen(buff), " and recipient ^%s$", quoted);
     owl_free(quoted);
   }
Index: global.c
===================================================================
--- global.c	(revision b7bb4545f69af6f073e4844a0cc06b07c8a11873)
+++ global.c	(revision b9cb41bbbda316fa057e4635ea6aa99478cd9ef6)
@@ -568,5 +568,5 @@
   strcpy(g->startupargs, "");
   for (i=0; i<argc; i++) {
-    sprintf(g->startupargs, "%s%s ", g->startupargs, argv[i]);
+    sprintf(g->startupargs + strlen(g->startupargs), "%s ", argv[i]);
   }
   g->startupargs[strlen(g->startupargs)-1]='\0';
Index: zcrypt.c
===================================================================
--- zcrypt.c	(revision 34509d514dfa9ee441febffc6d61e108962d1507)
+++ zcrypt.c	(revision b9cb41bbbda316fa057e4635ea6aa99478cd9ef6)
@@ -375,6 +375,6 @@
 
     for (i = 0; i < 8; i++) {
-      sprintf(out, "%s%c", out, ((output[i] & 0xf0) >> 4) + BASE_CODE);
-      sprintf(out, "%s%c", out, (output[i] & 0x0f)        + BASE_CODE);
+      sprintf(out + strlen(out), "%c", ((output[i] & 0xf0) >> 4) + BASE_CODE);
+      sprintf(out + strlen(out), "%c", (output[i] & 0x0f)        + BASE_CODE);
     }
 
Index: zephyr.c
===================================================================
--- zephyr.c	(revision 451db9e0515b2671c88e0858f712b53a7fcc5b76)
+++ zephyr.c	(revision b9cb41bbbda316fa057e4635ea6aa99478cd9ef6)
@@ -814,5 +814,5 @@
     ZGetLocations(&locations,&one);
     myuser=short_zuser(user);
-    sprintf(out, "%s%s: %s\t%s\t%s\n", out, myuser,
+    sprintf(out + strlen(out), "%s: %s\t%s\t%s\n", myuser,
 	    locations.host ? locations.host : "?",
 	    locations.tty ? locations.tty : "?",
Index: zwrite.c
===================================================================
--- zwrite.c	(revision 3f3ee611e4b4ff9de1453aa609918c0099936019)
+++ zwrite.c	(revision b9cb41bbbda316fa057e4635ea6aa99478cd9ef6)
@@ -231,7 +231,7 @@
     for (i=0; i<j; i++) {
       if (strcmp(z->realm, "")) {
-	sprintf(toline, "%s%s@%s ", toline, (char *) owl_list_get_element(&(z->recips), i), z->realm);
+	sprintf(toline + strlen(toline), "%s@%s ", (char *) owl_list_get_element(&(z->recips), i), z->realm);
       } else {
-	sprintf(toline, "%s%s ", toline, (char *) owl_list_get_element(&(z->recips), i));
+	sprintf(toline + strlen(toline), "%s ", (char *) owl_list_get_element(&(z->recips), i));
       }
     }
